=== 3rdparty/toluapp/Makefile ===
# makefile for tolua hierarchy

all:
	@echo "Makefile is deprecated ;)"
	@echo "see INSTALL for details on how to build tolua++"
