=== debian/changelog ===
conky (1.11.6-2) unstable; urgency=medium

  * Re-enable tcp_portmon support. (Closes: #968323)
  * Cherrypick upstream patch to make build reproducible.
  * Actually enable all build hardening flags.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 16 Aug 2020 18:55:40 -0700

conky (1.11.6-1) unstable; urgency=medium

  * Acknowledge NMU, thanks to Boyuan Yang!
  * New upstream release. (Closes: #950400)
    - Fix crash caused by temporary virtual net interfaces. (Closes: #900001)
    - Add build-dep on liblua5.3-dev.
    - Drop build-dep on liblua5.1-0-dev, libtolua++5.1-dev.
  * Enable previously disabled features in conky-all:
    - iCal (add build-dep on libical-dev)
    - IRC (add build-dep on libircclient-dev)
    - iconv
    - systemd journal (add build-dep on libsystemd-dev)
  * Update to debhelper compat level 12.
  * Update Standards version to 4.5.0.
  * Update Vcs-* links to point to salsa.
  * Add upstream metadata file.
  * Drop debug packages and migrate to auto-generated dbgsym instead.
  * Enable all build hardening flags.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 09 Aug 2020 19:46:49 -0700

conky (1.10.8-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/control: Build-depends on libdbus-glib-1-dev.
    (Closes: #962330)

 -- Boyuan Yang <byang@debian.org>  Fri, 12 Jun 2020 06:26:48 -0400
