=== debian/watch ===
version=3
opts="uversionmangle=s/1.999/1.8.999/;s/-rc/~rc/;s/_rc/~rc/;s/-RC/~rc/" \
https://github.com/brndnmtthws/conky/tags .*/v?(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
