=== debian/changelog ===
conky (1.12.2-2) unstable; urgency=medium

  [ Arnaud Rebillout ]
  * Drop support for xmms2 since it has been removed from Debian bookworm.
    (Closes: #1009346)

 -- Vincent Cheng <vcheng@debian.org>  Fri, 15 Apr 2022 02:06:37 -0700

conky (1.12.2-1) unstable; urgency=medium

  [ Vincent Cheng ]
  * New upstream release.
    - Drop conky-reproducible-build.patch, merged upstream.
    - Drop unset-cmake-build-flags.patch, obsolete.
  * Update to debhelper compat level 13.
  * Update Standards version to 4.6.0.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake, dpkg-dev and
      pkg-config.
    + conky-std: Drop versioned constraint on conky in Replaces.
    + conky-std: Drop versioned constraint on conky in Breaks.
    + conky-cli: Drop versioned constraint on conky in Replaces.
    + conky-cli: Drop versioned constraint on conky in Breaks.
    + conky-all: Drop versioned constraint on conky in Replaces.
    + conky-all: Drop versioned constraint on conky in Breaks.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 23 Feb 2022 07:43:24 -0800
