=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: Vincent Cheng <vcheng@debian.org>
 Build-Depends:
  audacious-dev,
- cmake (>= 2.6),
- debhelper-compat (= 12),
+ cmake,
+ debhelper-compat (= 13),
  docbook-xml,
  docbook-xsl,
  docbook2x,
- dpkg-dev (>= 1.15.7),
  gawk,
  less,
  libaudclient-dev,
@@ -34,11 +33,10 @@
  libxext-dev,
  libxft-dev,
  libxml2-dev,
- libxmmsclient-dev,
  libxnvctrl-dev [i386 amd64] | nvidia-settings [i386 amd64],
- pkg-config (>= 0.19)
+ pkg-config
 Homepage: https://github.com/brndnmtthws/conky
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/debian/conky.git
 Vcs-Browser: https://salsa.debian.org/debian/conky
 Rules-Requires-Root: no
@@ -46,10 +44,9 @@
 Package: conky-std
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: apcupsd, audacious, moc, mpd, xmms2
-Breaks: conky (<< 1.8.0-1)
+Suggests: apcupsd, audacious, moc, mpd
 Conflicts: conky-all, conky-cli
-Replaces: conky (<< 1.8.0-1), conky-all, conky-cli
+Replaces: conky-all, conky-cli
 Description: highly configurable system monitor (default version)
  Conky is a system monitor that can display just about anything,
  either on your root desktop or in its own window.
@@ -68,9 +65,8 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: apcupsd, moc, mpd
-Breaks: conky (<< 1.8.0-1)
 Conflicts: conky-all, conky-std
-Replaces: conky (<< 1.8.0-1), conky-all, conky-std
+Replaces: conky-all, conky-std
 Description: highly configurable system monitor (basic version)
  Conky is a system monitor that can display just about anything,
  either on your root desktop or in its own window.
@@ -86,10 +82,9 @@
 Package: conky-all
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: apcupsd, audacious, moc, mpd, xmms2
-Breaks: conky (<< 1.8.0-1)
+Suggests: apcupsd, audacious, moc, mpd
 Conflicts: conky-cli, conky-std
-Replaces: conky (<< 1.8.0-1), conky-cli, conky-std
+Replaces: conky-cli, conky-std
 Description: highly configurable system monitor (all features enabled)
  Conky is a system monitor that can display just about anything,
  either on your root desktop or in its own window.
@@ -102,7 +97,7 @@
  X11, XDamage, XDBE, Xft, MPD, MOC, math, hddtemp, portmon, RSS,
  Weather, wireless, IBM, nvidia, eve-online, Imlib2,
  apcupsd, I/O stats, argb, Lua and the cairo and imlib2 Lua bindings,
- Audacious, XMMS2, PulseAudio, iCal, iconv, IRC, and systemd journal.
+ Audacious, PulseAudio, iCal, iconv, IRC, and systemd journal.
 
 Package: conky
 Section: oldlibs
