## conky 1.12.2-1+11.0trisquel2

=== debian/changelog ===
conky (1.12.2-1+11.0trisquel2) aramo; urgency=medium

  * Restore nvidia-settings dependency.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 09 May 2024 19:21:09 +0000
