=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: conky
 Section: utils
 Priority: optional
-Maintainer: Vincent Cheng <vcheng@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends:
  audacious-dev,
  cmake,
@@ -33,6 +33,7 @@
  libxext-dev,
  libxft-dev,
  libxml2-dev,
+ libxmmsclient-dev,
  libxnvctrl-dev [i386 amd64] | nvidia-settings [i386 amd64],
  pkg-config
 Homepage: https://github.com/brndnmtthws/conky
@@ -44,7 +45,7 @@
 Package: conky-std
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: apcupsd, audacious, moc, mpd
+Suggests: apcupsd, audacious, moc, mpd, xmms2
 Conflicts: conky-all, conky-cli
 Replaces: conky-all, conky-cli
 Description: highly configurable system monitor (default version)
@@ -82,7 +83,7 @@
 Package: conky-all
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: apcupsd, audacious, moc, mpd
+Suggests: apcupsd, audacious, moc, mpd, xmms2
 Conflicts: conky-cli, conky-std
 Replaces: conky-cli, conky-std
 Description: highly configurable system monitor (all features enabled)
@@ -97,7 +98,7 @@
  X11, XDamage, XDBE, Xft, MPD, MOC, math, hddtemp, portmon, RSS,
  Weather, wireless, IBM, nvidia, eve-online, Imlib2,
  apcupsd, I/O stats, argb, Lua and the cairo and imlib2 Lua bindings,
- Audacious, PulseAudio, iCal, iconv, IRC, and systemd journal.
+ Audacious, XMMS2, PulseAudio, iCal, iconv, IRC, and systemd journal.
 
 Package: conky
 Section: oldlibs
